Bug 1031609 - [abrt] ovirt-node-3.0.0-6.0.fc19: ovirtfunctions.py:1032:get_live_disk:IOError: [Errno 2] Нет такого файла или каталога: '/etc/default/version' [NEEDINFO]
[abrt] ovirt-node-3.0.0-6.0.fc19: ovirtfunctions.py:1032:get_live_disk:IOErro...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ovirt-node (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Deutsch
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 06:40 EST by dimapunk80
Modified: 2015-12-02 08:35 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:17:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fdeutsch: needinfo? (dimapunk80)


Attachments (Terms of Use)
File: backtrace (1.74 KB, text/plain)
2013-11-18 06:40 EST, dimapunk80
no flags Details
File: environ (2.20 KB, text/plain)
2013-11-18 06:40 EST, dimapunk80
no flags Details

  None (edit)
Description dimapunk80 2013-11-18 06:40:10 EST
Description of problem:
arfwerf

Version-Release number of selected component:
ovirt-node-3.0.0-6.0.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        python -m ovirt.node.installer.__main__
dso_list:       python-libs-2.7.5-8.fc19.x86_64
executable:     /usr/lib/python2.7/site-packages/ovirt/node/installer/__main__.py
kernel:         3.11.8-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
ovirtfunctions.py:1032:get_live_disk:IOError: [Errno 2] Нет такого файла или каталога: '/etc/default/version'

Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/lib/python2.7/site-packages/ovirt/node/installer/__main__.py", line 31, in <module>
    app.run()
  File "/usr/lib/python2.7/site-packages/ovirt/node/app.py", line 289, in run
    self.__load_plugins()
  File "/usr/lib/python2.7/site-packages/ovirt/node/app.py", line 370, in __load_plugins
    group.createPlugins(self)
  File "/usr/lib/python2.7/site-packages/ovirt/node/installer/core/__init__.py", line 37, in createPlugins
    plugin.Plugin(application)
  File "/usr/lib/python2.7/site-packages/ovirt/node/installer/core/boot_device_page.py", line 35, in __init__
    self.storage_discovery.run()
  File "/usr/lib/python2.7/site-packages/ovirt/node/installer/core/boot_device_page.py", line 136, in run
    self._all_devices = devices.get_all()
  File "/usr/lib/python2.7/site-packages/ovirt/node/utils/storage.py", line 118, in get_all
    if dev == self.live_disk_name():
  File "/usr/lib/python2.7/site-packages/ovirt/node/utils/storage.py", line 94, in live_disk_name
    name = get_live_disk()
  File "/usr/lib/python2.7/site-packages/ovirtnode/ovirtfunctions.py", line 1032, in get_live_disk
    version = open("/etc/default/version")
IOError: [Errno 2] Нет такого файла или каталога: '/etc/default/version'

Local variables in innermost frame:
live_disk: ''
client: <gudev.Client object at 0x605f640 (GUdevClient at 0x58ff080)>
dev_live: '/dev/'
ret: 1
Comment 1 dimapunk80 2013-11-18 06:40:19 EST
Created attachment 825553 [details]
File: backtrace
Comment 2 dimapunk80 2013-11-18 06:40:22 EST
Created attachment 825554 [details]
File: environ
Comment 3 Fabian Deutsch 2013-11-28 07:04:50 EST
id this error appear when you tried to install ovirt-node on a normal host?
Comment 4 Fedora End Of Life 2015-01-09 15:37:20 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 14:17:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.